[Gnucash-changes] r13251 - gnucash/trunk - Error out of autogen if one of the programs fails.

Derek Atkins warlord at cvs.gnucash.org
Sun Feb 12 22:32:11 EST 2006


Author: warlord
Date: 2006-02-12 22:32:10 -0500 (Sun, 12 Feb 2006)
New Revision: 13251
Trac: http://svn.gnucash.org/trac/changeset/13251

Modified:
   gnucash/trunk/autogen.sh
Log:
Error out of autogen if one of the programs fails.


Modified: gnucash/trunk/autogen.sh
===================================================================
--- gnucash/trunk/autogen.sh	2006-02-13 03:28:50 UTC (rev 13250)
+++ gnucash/trunk/autogen.sh	2006-02-13 03:32:10 UTC (rev 13251)
@@ -200,23 +200,28 @@
 test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
 
 echo "Running ${INTLTOOLIZE} --force --copy ..."
-${INTLTOOLIZE} --force --copy
+${INTLTOOLIZE} --force --copy || \
+    { echo "**Error**: ${INTLTOOLIZE} failed."; exit 1; }
 
 echo "Running ${LIBTOOLIZE} --force --copy ..."
-${LIBTOOLIZE} --force --copy
+${LIBTOOLIZE} --force --copy || \
+    { echo "**Error**: ${LIBTOOLIZE} failed."; exit 1; }
 
 aclocalinclude="$ACLOCAL_FLAGS -I macros"
 echo "Running ${ACLOCAL} $aclocalinclude ..."
-${ACLOCAL} $aclocalinclude
+${ACLOCAL} $aclocalinclude || \
+    { echo "**Error**: ${ACLOCAL} failed."; exit 1; }
 
 echo "Running ${AUTOHEADER}..."
-${AUTOHEADER} || { echo "**Error**: autoheader failed."; exit 1; }
+${AUTOHEADER} || { echo "**Error**: ${AUTOHEADER} failed."; exit 1; }
 
 echo "Running ${AUTOMAKE} --add-missing --gnu $am_opt ..."
-${AUTOMAKE} --add-missing --gnu $am_opt
+${AUTOMAKE} --add-missing --gnu $am_opt || \
+    { echo "**Error**: ${AUTOMAKE} failed."; exit 1; }
 
 echo "Running ${AUTOCONF} ..."
-${AUTOCONF}
+${AUTOCONF} || \
+    { echo "**Error**: ${AUTOCONF} failed."; exit 1; }
 
 ############################################################
 # Done.



More information about the gnucash-changes mailing list